> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://next.developer.frame.io/platform/v2/api-reference/assets/get-subtitles/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://next.developer.frame.io/_mcp/server. # Get the subtitles for an Asset GET https://api.frame.io/v2/assets/{asset_id}/subtitles Fetch subtitles that have been hoisted out by the media pipeline Reference: https://next.developer.frame.io/platform/v2/api-reference/assets/get-subtitles ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `asset_id` (string, required) ## Response ### 200 Asset subtitle response - `_type` (enum, optional) - Allowed values: `asset_subtitle` - `id` (string, optional) - `subtitle_tracks` (list of string, optional) ## Errors ### 401 Unauthorized Error Unauthorized response - `code` (integer, optional) - `errors` (list of HttpErrorErrorsItems, optional) - `message` (string, optional) ### 404 Not Found Error Not Found response - `code` (integer, optional) - `errors` (list of HttpErrorErrorsItems, optional) - `message` (string, optional) ## Types ### HttpErrorErrorsItems - `code` (integer, optional) - `detail` (string, optional) - `status` (integer, optional) - `title` (string, optional) ## Examples **Response** ```json { "_type": "asset_subtitle", "id": "aaaaaaaa-aaaa-aaaa-aaaa-aaaaaaaaaaaa", "subtitle_tracks": [ "https://frameio-app.com/subtitle_track/3gsa-3456aa", "https://frameio-app.com/subtitle_track/fms2-amfng4" ] } ``` **SDK Code** ```python response import requests url = "https://api.frame.io/v2/assets/asset_id/subtitles" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript response const url = 'https://api.frame.io/v2/assets/asset_id/subtitles'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go response package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.frame.io/v2/assets/asset_id/subtitles" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby response require 'uri' require 'net/http' url = URI("https://api.frame.io/v2/assets/asset_id/subtitles") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java response import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.frame.io/v2/assets/asset_id/subtitles") .header("Authorization", "Bearer ") .asString(); ``` ```php response request('GET', 'https://api.frame.io/v2/assets/asset_id/subtitles', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp response using RestSharp; var client = new RestClient("https://api.frame.io/v2/assets/asset_id/subtitles"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift response import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.frame.io/v2/assets/asset_id/subtitles")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```